<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <form action="" name="formulario="" method=" get">
        <label for="nombre">Nombre</label>
        <input type="text" name="nombre" id="nombre"><br /><br />

        <label for="apellido">Apellido</label>
        <input type="text" name="apellido" id="apellido"><br /><br />

        <label for="edad">Edad</label>
        <input type="number" name="edad" id="edad"><br /><br />

        <label for="licencia">Licencia</label>
        <select name="licencia" id="licencia">
            <option value="si">Si</option>
            <option value="no">No</option>
        </select>

        <label for="fecha">Fecha de Expiracion</label>
        <input type="text" name="fecha" id="fecha">Ingrese fecha con el sigueinte formato: 2021,07,01
        <br /><br />

        <input type="button" name="consultar" id="consultar" value="Consultar">

        <h1>
            <div id="mensaje"></div>
        </h1>
    </form>

    <script type="text/javascript">

        let btnConsultar = document.getElementById('consultar');
        btnConsultar.addEventListener('click',
            function ( ){
                let nombre = document.getElementById('nombre').value
                let apellido = document.getElementById('apellido').value
                let edad = parseInt(document.getElementById('edad').value, 10)
                let licencia = document.getElementById('licencia').value
                let fecha = document.getElementById('fecha').value
                let mayorEdad = 18
                let poseeLicencia = 'si'
                let actual = new Date(2021,07,01)
                let expiracion = new Date(fecha)
                let resultado
                console.log('ingreso a function')
                if(nombre == "" || apellido == "" || edad == "" || fecha == ""){
                    resultado = 'Faltan campos completar'
                }else if (edad >= mayorEdad && licencia == poseeLicencia ){
                    resultado = `${nombre} ${apellido} esta habilitado para conducir`
                }else {
                    resultado = `${nombre} ${apellido} no esta habilitado para conducir`
                }
                document.getElementById('mensaje').innerHTML = resultado
            })
    </script>

</body>

</html>